Ticket #30164

日本語点訳エンジンにおける記号の処理

Open Date: 2012-11-21 05:23 Last Update: 2013-04-05 18:25

Reporter:
Owner:
(None)
Status:
Closed
Component:
(None)
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None

Details

開発スナップショット jpdev121119 において、点字出力のカッコ記号を実装しました。

暫定的な仕様として symbols.dic に含まれているカッコおよびカッコとじは基本的に全部 5-2356 および 2356-2 にする、という方針をご提案いただいたので、そのように実装したのですが、下記のようなご意見をいただきました。

ネットワーク環境がよくないのですぐに着手できません。本件について11月23日までにご意見をいただければ、次の日本語ベータ版に反映できます。

カッコ記号は「 」と、 『 』が、同じ56、36 36、23
 [ ]と、 〈 〉と、 { }と、 《 》と 【 】が
全部5、2356 2356、2  になっています。
できれば、点訳ルール通り区別してもらったほうが分かりやすい。
カッコ類の点字出力表示についてですが
まず一般の日本点字のルールに従って
「 と 」は、両方とも36(第1カギ)
『 は、56、36 (二重カギ)
』 は、36、23 (二重カギ閉じ)
〈 は、56、3 (第2カギ)
〉 は、6、23 (第2カギ閉じ)
《 は、56、2356 (二重カッコ)
》 は、2356、23 (二重カッコ閉じ)
[ は、6、2356 (角カッコ)
] は、2356、3 (角カッコ閉じ)

このあとは、私の個人的な案ですが
{ は、5、2356 (第2カッコ)
} は、2356、2 (第2カッコ閉じ)

さらに統一日本点字の案を参考にして
【 は、46、126
】 は、46、345
記号類の表示は
ヘルプのどこかにまとめてわかりやすく
表にしておいてほしいです。

Ticket History (3/12 Histories)

2012-11-21 05:23 Updated by: nishimoto
  • New Ticket "日本語点訳エンジンにおけるカッコ記号の処理" created
2012-11-21 09:32 Updated by: nakalabo
Comment

点字の囲みの記号(皆さんが一般的に言われている“カッコ記号”のこと)には、大きく分けると2つあります。 まず1つは“カギ類”の記号で、もう1つは“括弧類”の記号です。 同じ囲みの記号でも、両者は使い方がそれぞれ異なりますので、注意が必要です。

カギ類は原則として会話文や引用文、強調部分に用います。 第1カギ(カギカッコ) 「 ~ 」   開き: 3 6 の点  閉じ: 3 6 の点 二重カギ(二重カギカッコ) 『 ~ 』   開き: 5 6 の点・3 6 の点  閉じ: 3 6 の点・2 3 の点 第2カギ(墨字のクォーテーションやヤマカッコに対応) “ ~ ” 〈 ~ 〉   開き: 5 6 の点・3 の点  閉じ: 6 の点・2 3 の点

文や語句・記号類などをカギ類で囲む場合、カギ類の内側は続けて、外側は分かち書きの規則に従うことになります。 又、ひとつの文章の中にカギ類で囲んだものが連続する(並列する)場合には閉じカギと次の開きカギとの間には1マス開けます。

括弧類は原則として説明文や挿入に用います。 第1括弧(まるカッコ) ( ~ )   開き: 2 3 5 6 の点  閉じ: 2 3 5 6 の点 二重括弧(墨字の二重ヤマカッコに対応) 《 ~ 》   開き: 5 6 の点・2 3 5 6 の点  閉じ: 2 3 5 6 の点・2 3 の点 第2括弧(墨字のキッコーカッコに対応) 〔 ~ 〕   開き: 5 の点・2 3 5 6 の点  閉じ: 2 3 5 6 の点・2 の点

文や語句・記号類などを括弧類で囲む場合も、括弧類の内側は続け、括弧類の外側は分かち書きの規則に従うことになります。 括弧類を直前の語句の説明として用いる場合にはその語句に続けて書き(語句が外字符を用いて表したアルファベットの場合も同じ)、明らかな挿入文として用いる場合には前の語句から1マス空けて書きます。 但し、外国語引用符の閉じ記号と括弧類の開き記号との間はいかなる場合も1マス空けて書きます。

又、チューカッコ { ~ } は、事例を見るとプログラミングの中で利用される場合が多いことから、情報処理点字で表すことが適当かと思われます。   チューカッコ開き: 1 2 3 5 6 の点   チューカッコ閉じ: 2 3 4 5 6 の点

尚、情報処理点字の始まりの記号は 6 の点・2 3 6 の点、終わりの記号は 6 の点・3 5 6 の点です。

2012-12-17 14:50 Updated by: nishimoto
Comment

記号の点字表記についてNVDA日本語チームのかたから「個人的な案」として以下をご提案いただきました。

1、現在日本で使われ、指導されている日本点字委員会の「日本点字表記法」で決められた記号表記を、最優先する。

2、上記の英語の記号を次に優先する。(56の外字符をつける)

3、それ以外で情報処理点字に記載のある記号は、情報処理用点字挿入符6-236をつけて使う。

4、どれにもないもので、統合日本点字にあるものは、それを使う。

5、各スクリーンリーダーで共通の使い方をされている記号については、同じ点字表示を使う。

データファイルもいただいたのですが、チケットでは省略させていただきます。

2012-12-17 15:16 Updated by: nishimoto
  • Summary Updated
2012-12-24 22:35 Updated by: nishimoto
Comment

上記の5項目についてSkype会議で伺ったコメント:

  • 情報処理用点字は 6-236 と 6-356 で閉じる必要がある。
  • 「日本点字表記法」においては「カッコ」ではなく「囲みの符号」と表現されている。
  • 第一指示符、第二指示符は点字ユーザーにとって読みにくいという話がある。
  • 「統合日本点字」とは何のことでしょうか?
2012-12-30 00:17 Updated by: nishimoto
Comment

「統合日本語点字」についての情報

  • 科学技術文書のアクセシビリティに関する論文 http://www.inftyproject.org/jp/articles_accessibility.html
    • 藤芳 衛 他 共著・統一日本語点字研究会(編) 『Unicodeによる点字記号の世界的統一と統一英語点字記号』,大学入試センター,(2005年) 1-140

12月17日コメントで紹介したご意見の5項目は、優先順位をこの並びにしてよいかどうかが悩ましいところです。

1から4までの項目は優先度の並びになっているようですが、「5、各スクリーンリーダーで共通の使い方をされている記号については、同じ点字表示を使う。 」は、4よりも優先度が低いというふうには必ずしも思えません。

2013-03-20 12:39 Updated by: nishimoto
Comment

2013.1jp-beta1 までの作業で「伏せ字の記号」への対応がまだ終わっていません。

「日本点字表記法 2001年版」によると、語句の一部の文字をあえて伏せて書き表す場合の文字として、以下が定められています。

丸(○) 5-1356
三角(△) 5-12356
四角(□) 5-13456
バツ(×) 5-123456
その他の伏せ字 5-23456
数字の伏せ字 5-123456

前後は分かち書きの規則に従う、1語の一部である場合には第1つなぎ符が必要、直後に助詞や助動詞が来る場合は一マスあけ、とされています。

また、これらは伏せ字を表すもので、墨字の丸印や×印に対応させるものではない、という規則になっています。

規則に従うなら「伏せ字であることの判定処理」あるいは「伏せ字として使われる用例の辞書」が必要です。

規則にこだわらずに「墨字の記号に対応する点字」としてよいなら、実装は容易になります。

ご意見があればお知らせください。

2013-03-26 17:52 Updated by: nishimoto
Comment

下記のコミットで、フォーカストークの仕様を参考にした星印と伏せ字の処理を追加しました。

lp:~nvdajp/nvdajp/jp2013.1 rev 5980

記号そのものは「点訳のてびき」に従っていませんが、記号の前後のマスあけやつなぎ符の処理を「点訳のてびき」に従って実装するかどうか検討中です。

2013-03-28 22:24 Updated by: nishimoto
  • Milestone Update from (None) to 2013.1jp (closed)
  • Ticket Close date is changed to 2013-03-28 22:24
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

下記のコミットで記号を追加しました。

lp:~nvdajp/nvdajp/jp2013.1 rev 5989

リビジョン 5980 と合わせて対応表を下記にまとめておきます。 ドキュメント「NVDA日本語版の説明」にも記載しています。

なお、このチケットは、もともとスコープが不明確だったので、ここまでの作業でクローズとして、今後のご要望には新しいチケットで対応したいと思います。

| ☆ 白星印 | 56-2346-2 |
| ★ 黒星印 | 56-2346-23 |
| ○ 白丸 | 6-1356-2 |
| ● 黒丸 | 6-1356-23 |
| ◎ 二重丸 | 6-1356-256 |
| □ 白四角 | 6-1256-2 |
| ■ 黒四角 | 6-1256-23 |
| △ 白上向き三角 | 6-156-2 |
| ▲ 黒上向き三角 | 6-156-23 |
| ▽ 白下向き三角 | 56-156-2 |
| ▼ 黒下向き三角 | 56-156-23 |
| ◇ 白菱形 | 6-1236-2 |
| ◆ 黒菱形 | 6-1256-23 |
| × バツ印 | 56-16-2 |
2013-03-30 09:42 Updated by: nishimoto
  • Status Update from Closed to Open
2013-03-30 23:57 Updated by: nishimoto
Comment

検討中の仕様をすでに実装しておられる会社にメールで問い合わせをしたところ、以下の内容のお返事をいただきました。

  • 漢点字や六点漢字について、法律の専門家によると、単に文字や記号を点字でどう表すかというのは、著作物にもあたらないし、技術特許に関するような権利にもあたらない
  • 私どもが取り決めた表記についても、同様だと考えており、それについて何かの権利を主張するつもりはない
2013-04-05 18:25 Updated by: nishimoto
  • Ticket Close date is changed to 2013-04-05 18:25
  • Status Update from Open to Closed
Comment

下記のように記号の表記を変更しました。

| ◇ 白菱形 | 46-1236-2 |
| ◆ 黒菱形 | 46-1256-23 |

lp:~nvdajp/nvdajp/jp2013.1 rev 5995

Attachment File List

No attachments

Edit

Please login to add comment to this ticket » Login